package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.auth.api.entity.SysUser;

/**
 * 对应数据库表(music_group_quit):
 */
public class MusicGroupQuit {

	/**  */
	private Long id;

	/** 用户编号 */
	private Integer userId;

	/** 乐团编号 */
	private String musicGroupId;

	/** 加入时间 */
	private java.util.Date joinDate;

	/** 退出时间 */
	private java.util.Date quitDate;

	/**  */
	private java.util.Date createTime;
	
	private String userComment;

	/** 原因 */
	private String reason;

	private ApprovalStatus status;
	
	private SysUser user = new SysUser();
	
	private MusicGroup musicGroup = new MusicGroup();

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public Integer getUserId() {
		return this.userId;
	}

	public void setMusicGroupId(String musicGroupId) {
		this.musicGroupId = musicGroupId;
	}

	public String getMusicGroupId() {
		return this.musicGroupId;
	}

	public void setJoinDate(java.util.Date joinDate) {
		this.joinDate = joinDate;
	}

	public java.util.Date getJoinDate() {
		return this.joinDate;
	}

	public void setQuitDate(java.util.Date quitDate) {
		this.quitDate = quitDate;
	}

	public java.util.Date getQuitDate() {
		return this.quitDate;
	}

	public void setCreateTime(java.util.Date createTime) {
		this.createTime = createTime;
	}

	public java.util.Date getCreateTime() {
		return this.createTime;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getReason() {
		return this.reason;
	}

	public String getUserComment() {
		return userComment;
	}

	public void setUserComment(String userComment) {
		this.userComment = userComment;
	}

	public ApprovalStatus getStatus() {
		return status;
	}

	public void setStatus(ApprovalStatus status) {
		this.status = status;
	}

	public SysUser getUser() {
		return user;
	}

	public void setUser(SysUser user) {
		this.user = user;
	}

	public MusicGroup getMusicGroup() {
		return musicGroup;
	}

	public void setMusicGroup(MusicGroup musicGroup) {
		this.musicGroup = musicGroup;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
